import { z } from 'zod'; export declare const riotGeoEndpoint: { readonly name: "Riot Geo"; readonly description: "Get the region for a given ID token and auth token. The ID token and auth token can be obtained from [PUT Cookie Reauth]"; readonly category: "Authentication Endpoints"; readonly type: "other"; readonly suffix: "https://riot-geo.pas.si.riotgames.com/pas/v1/product/valorant"; readonly method: "PUT"; readonly riotRequirements: { readonly token: true; }; readonly body: z.ZodObject<{ id_token: z.ZodString; }, "strip", z.ZodTypeAny, { id_token: string; }, { id_token: string; }>; readonly responses: { readonly '200': z.ZodObject<{ token: z.ZodString; affinities: z.ZodObject<{ pbe: z.ZodString; live: z.ZodString; }, "strip", z.ZodTypeAny, { live: string; pbe: string; }, { live: string; pbe: string; }>; }, "strip", z.ZodTypeAny, { token: string; affinities: { live: string; pbe: string; }; }, { token: string; affinities: { live: string; pbe: string; }; }>; }; }; export type RiotGeoResponse = z.infer;